package com.kapil.framework.email;


/**
 * Represents an <code>Email dispatcher</code> in the <em>email dispatch framework</em>.
 * 
 * @see {@link EmailGenerator}.
 */
public interface IEmailDispatcher
{
    /**
     * Processes an email.
     * 
     * @param email An {@link EmailVO} object containing all information required to send the email.
     * @return <code>true</code> if the email is processed successfully, <code>false</code> otherwise.
     */
    public boolean dispatchEmail(EmailVO email);
}
