/*******************************************************************************
 * Copyright 2011 @ Kapil Viren Ahuja
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.kapil.framework.exception.impl;

import org.omg.CORBA.SystemException;

import com.kapil.framework.exception.BaseException;
import com.kapil.framework.lang.ObjectFactory;



/**
 * Thrown to indicate that {@link ObjectFactory} has tried to create an object 
 * that does not exist.
 * 
 */
public class ObjectInitializationException extends BaseException
{
    private static final long serialVersionUID = -7357050106907016436L;

    public static final String  CLASS_NOT_FOUND = "CLASS_NOT_FOUND";
    public static final String  ILLEGAL_ACCESS  = "ILLEGAL_ACCESS";

    /**
     * @see SystemException
     */
    public ObjectInitializationException(final String errorCode, final Throwable linkedException)
    {
        super(errorCode, linkedException);
    }

    /**
     * @see SystemException
     */
    public ObjectInitializationException(final String errorCode, final String[] errorMessageTokens, final Throwable linkedException)
    {
        super(errorCode, errorMessageTokens, linkedException);
    }
    
    
    /**
     * @see SystemException
     */
    public ObjectInitializationException(final String errorCode, final String[] tokens)
    {
        super(errorCode, tokens);
    }
}
